//                _______            ___     ______ _________
//                \      ) /\   /\   \  \   /  ___/ \_  ____/
//                |  ___/  ||   ||   /  /   \__ \    |   _)_ 
//                | /      | \_/ |  /  /__  ___\ \   |      \
//                |/ 1.xx  \____ |  \_____| \____/  /_____  /
//                              \/                        \/ 
//  
//            (c) Lada 'Ray' Lostak (c) Orcave inc. (c) 2002
// Content:
// 
//   This file contains 'standard' design thigns
//
//

//<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
// effects
//<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

dMenuItems "Menu_Fx1" {

    ITEM "None"      ,"pulse.plr1.cmd.fx1.effect","pulse.plr1.menu.fx1.none"
    SEPARATOR
    ITEM ""         ,"","pulse.plr1.menu.fx1"
}
dMenuItems "Menu_Fx2" {

    ITEM "None"      ,"pulse.plr1.cmd.fx2.effect","pulse.plr1.menu.fx2.none"
    SEPARATOR
    ITEM ""         ,"","pulse.plr1.menu.fx2"
}
dMenuItems "Menu_Fx3" {

    ITEM "None"      ,"pulse.plr1.cmd.fx3.effect","pulse.plr1.menu.fx3.none"
    SEPARATOR
    ITEM ""         ,"","pulse.plr1.menu.fx3"
}
dMenuItems "Menu_Fx4" {

    ITEM "None"      ,"pulse.plr1.cmd.fx4.effect","pulse.plr1.menu.fx4.none"
    SEPARATOR
    ITEM ""         ,"","pulse.plr1.menu.fx4"
}

dMenuItems "Menu_Fx1cc" {

    ITEM "Enabled"  ,"pulse.plr1.cmd.fx1.enable","pulse.plr1.menu.fx1.enable"
    SEPARATOR
    ITEM ""         ,"","pulse.plr1.menu.fx1.cc"
}
dMenuItems "Menu_Fx2cc" {

    ITEM "Enabled"  ,"pulse.plr1.cmd.fx2.enable","pulse.plr1.menu.fx2.enable"
    SEPARATOR
    ITEM ""         ,"","pulse.plr1.menu.fx2.cc"
}
dMenuItems "Menu_Fx3cc" {

    ITEM "Enabled"  ,"pulse.plr1.cmd.fx3.enable","pulse.plr1.menu.fx3.enable"
    SEPARATOR
    ITEM ""         ,"","pulse.plr1.menu.fx3.cc"
}
dMenuItems "Menu_Fx4cc" {

    ITEM "Enabled"  ,"pulse.plr1.cmd.fx4.enable","pulse.plr1.menu.fx4.enable"
    SEPARATOR
    ITEM ""         ,"","pulse.plr1.menu.fx4.cc"
}

//<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
// main
//<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

dMenuItems "Menu_Main" {

    ITEM "@MNU_About",                        "pulse.cmd.about"
    SEPARATOR
    ITEM "@MNU_Load",                         "pulse.plr1.cmd.filebrowser.show(1)"

    POPUP "@MNU_Setup" {

        POPUP "@MNU_Devices" {
            ITEM "","","pulse.menu.setup.devices"
        }
        POPUP "@MNU_Players" {
            ITEM "","","pulse.menu.setup.players"
        }
        POPUP "@MNU_Tools" {
            ITEM "","","pulse.menu.setup.tools.runtime" 
        }
        POPUP "@MNU_Entering_tools" {
            ITEM "","","pulse.menu.setup.tools.entering"
        }
        POPUP "@MNU_Visual_engine" {
            ITEM "","","pulse.menu.setup.ove"
        }
        POPUP "@MNU_VisualsSetup" {
            ITEM "","","pulse.menu.setup.visuals"
        }

        ITEM "@MNU_Pulse_properties"    ,"pulse.cmd.setup.main"
        ITEM "@MNU_Component_tree"      ,"pulse.cmd.setup"
    }

    POPUP "@MNU_Options" {

        ITEM "@MNU_RepSong" ,"pulse.plr1.cmd.repeat"            ,"pulse.plr1.menu.repeat"
        ITEM "@MNU_RepPL"   ,"pulse.plr1.cmd.playlist.repeat"   ,"pulse.plr1.menu.playlist.repeat"
        ITEM "@MNU_Shuffle" ,"pulse.plr1.cmd.playlist.shuffle"  ,"pulse.plr1.menu.playlist.shuffle"
        SEPARATOR
        ITEM "@MNU_Timer"   ,"pulse.plr1.cmd.time.remaining"    ,"pulse.plr1.menu.time.remaning"
        SEPARATOR
        ITEM "@MNU_OnTop"   ,"ove.cmd.ontop"                    ,"ove.menu.ontop"
    }

    POPUP "@MNU_QuickDes" {

        ITEM "@MNU_OVE_Filters","ove.cmd.filters.setup"
        POPUP "@MNU_OVE_Resize" {

            //ITEM "@MNU_OVE_ResizeSettings","ove.cmd.resize.setup"
            //SEPARATOR
            //ITEMKEEP "@MNU_OVE_Resize50","ove.cmd.resize(50)","ove.menu.resize(50)"
            ITEMKEEP "@MNU_OVE_Resize100","ove.cmd.resize(100)","ove.menu.resize(100)"
            //ITEMKEEP "@MNU_OVE_Resize150","ove.cmd.resize(150)","ove.menu.resize(150)"
            ITEMKEEP "@MNU_OVE_Resize200","ove.cmd.resize(200)","ove.menu.resize(200)"
            ITEMKEEP "@MNU_OVE_Resize300","ove.cmd.resize(300)","ove.menu.resize(300)"
        }
        SEPARATOR
        ITEM "","","ove.menu.designs"
    }


    POPUP "@MNU_Visuals" {

        ITEM "@MNU_VisualsActive","pulse.cmd.visuals.active","pulse.menu.visuals.active"
        ITEM "@MNU_VisualsEnable","pulse.cmd.visuals.enable","pulse.menu.visuals.enable"
        SEPARATOR
        POPUP "@MNU_VisualsSelect" {

            ITEM "","","pulse.menu.visuals.select"
        }
    }

    SEPARATOR
    ITEM "@MNU_PLEditor",   "pulse.plr1.cmd.playlist.show(1)"
    ITEM "@MNU_DBEditor",   "pulse.cmd.database.show(1)"
    SEPARATOR
    ITEM "@MNU_Minimize",   "ove.cmd.minimize"
    SEPARATOR
    ITEM "@MNU_Exit",       "ove.cmd.close"
}

//<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
// main - player specific
//<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

dMenuItems "Menu_MainPlr1" {

    ITEM "@MNU_Load",        "pulse.plr1.cmd.filebrowser.show(1)"

    POPUP "@MNU_Options" {

        ITEM "@MNU_RepSong" ,"pulse.plr1.cmd.repeat"            ,"pulse.plr1.menu.repeat"
        ITEM "@MNU_RepPL"   ,"pulse.plr1.cmd.playlist.repeat"   ,"pulse.plr1.menu.playlist.repeat"
        ITEM "@MNU_Shuffle" ,"pulse.plr1.cmd.playlist.shuffle"  ,"pulse.plr1.menu.playlist.shuffle"
        SEPARATOR
        ITEM "@MNU_Timer"   ,"pulse.plr1.cmd.time.remaining"    ,"pulse.plr1.menu.time.remaning"
    }

    ITEM "@MNU_PLEditor"    ,"pulse.plr1.cmd.playlist.show(1)"
}

dMenuItems "Menu_MainPlr2" {

    ITEM "@MNU_Load",        "pulse.plr2.cmd.filebrowser.show(1)"

    POPUP "@MNU_Options" {

        ITEM "@MNU_RepSong" ,"pulse.plr2.cmd.repeat"            ,"pulse.plr2.menu.repeat"
        ITEM "@MNU_RepPL"   ,"pulse.plr2.cmd.playlist.repeat"   ,"pulse.plr2.menu.playlist.repeat"
        ITEM "@MNU_Shuffle" ,"pulse.plr2.cmd.playlist.shuffle"  ,"pulse.plr2.menu.playlist.shuffle"
        SEPARATOR
        ITEM "@MNU_Timer"   ,"pulse.plr2.cmd.time.remaining"    ,"pulse.plr2.menu.time.remaning"
    }

    ITEM "@MNU_PLEditor"   ,"pulse.plr2.cmd.playlist.show(1)"
}

dMenuItems "Menu_MainPlr3" {

    ITEM "@MNU_Load",        "pulse.plr3.cmd.filebrowser.show(1)"

    POPUP "@MNU_Options" {

        ITEM "@MNU_RepSong" ,"pulse.plr3.cmd.repeat"            ,"pulse.plr3.menu.repeat"
        ITEM "@MNU_RepPL"   ,"pulse.plr3.cmd.playlist.repeat"   ,"pulse.plr3.menu.playlist.repeat"
        ITEM "@MNU_Shuffle" ,"pulse.plr3.cmd.playlist.shuffle"  ,"pulse.plr3.menu.playlist.shuffle"
        SEPARATOR
        ITEM "@MNU_Timer"   ,"pulse.plr3.cmd.time.remaining"    ,"pulse.plr3.menu.time.remaning"
    }

    ITEM "@MNU_PLEditor"    ,"pulse.plr3.cmd.playlist.show(1)"
}

dMenuItems "Menu_MainPlr4" {

    ITEM "@MNU_Load",        "pulse.plr4.cmd.filebrowser.show(1)"

    POPUP "@MNU_Options" {

        ITEM "@MNU_RepSong" ,"pulse.plr4.cmd.repeat"            ,"pulse.plr4.menu.repeat"
        ITEM "@MNU_RepPL"   ,"pulse.plr4.cmd.playlist.repeat"   ,"pulse.plr4.menu.playlist.repeat"
        ITEM "@MNU_Shuffle" ,"pulse.plr4.cmd.playlist.shuffle"  ,"pulse.plr4.menu.playlist.shuffle"
        SEPARATOR
        ITEM "@MNU_Timer"   ,"pulse.plr4.cmd.time.remaining"    ,"pulse.plr4.menu.time.remaning"
    }

    ITEM "@MNU_PLEditor"   ,"pulse.plr4.cmd.playlist.show(1)"
}

//<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
// union seekbar
//<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

dMenuItems "Menu_SeekPlr1" {

    ITEM "","","pulse.plr1.menu.unionseek.types"
}

dMenuItems "Menu_SeekPlr2" {

    ITEM "","","pulse.plr2.menu.unionseek.types"
}

dMenuItems "Menu_SeekPlr3" {

    ITEM "","","pulse.plr3.menu.unionseek.types"
}

dMenuItems "Menu_SeekPlr4" {

    ITEM "","","pulse.plr4.menu.unionseek.types"
}

//<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
// play controls
//<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

dMenuItems "Menu_Control1" {

    ITEM "@MNU_Load",                         "pulse.plr1.cmd.filebrowser.show(1)"
    SEPARATOR

    POPUP "@MNU_Subsongs" {
        ITEM "","","pulse.plr1.menu.subsong.list"
    }

    ITEM "@MNU_Previous"    ,"pulse.plr1.cmd.playlist.prev"
    ITEM "@MNU_Play"        ,"pulse.plr1.cmd.play"          ,"pulse.plr1.menu.playing:!d"
    ITEM "@MNU_Pause"       ,"pulse.plr1.cmd.pause"         ,"pulse.plr1.menu.playing:d"
    ITEM "@MNU_Stop"        ,"pulse.plr1.cmd.stop"          ,"pulse.plr1.menu.playing:d"
    ITEM "@MNU_Next"        ,"pulse.plr1.cmd.playlist.next"

    SEPARATOR

    ITEM "@MNU_PlayerSetup" ,"","pulse.plr1.menu.active.player"
    ITEM "@MNU_DeviceSetup" ,"","pulse.plr1.menu.active.device"
}

dMenuItems "Menu_Control2" {

    ITEM "@MNU_Load",                         "pulse.plr2.cmd.filebrowser.show(1)"
    SEPARATOR

    POPUP "@MNU_Subsongs" {
        ITEM "","","pulse.plr2.menu.subsong.list"
    }

    ITEM "@MNU_Previous"    ,"pulse.plr2.cmd.playlist.prev"
    ITEM "@MNU_Play"        ,"pulse.plr2.cmd.play"          ,"pulse.plr2.menu.playing:!d"
    ITEM "@MNU_Pause"       ,"pulse.plr2.cmd.pause"         ,"pulse.plr2.menu.playing:d"
    ITEM "@MNU_Stop"        ,"pulse.plr2.cmd.stop"          ,"pulse.plr2.menu.playing:d"
    ITEM "@MNU_Next"        ,"pulse.plr2.cmd.playlist.next"

    SEPARATOR

    ITEM "@MNU_PlayerSetup" ,"","pulse.plr2.menu.active.player"
    ITEM "@MNU_DeviceSetup" ,"","pulse.plr2.menu.active.device"
}

dMenuItems "Menu_Control3" {

    ITEM "@MNU_Load",                         "pulse.plr3.cmd.filebrowser.show(1)"
    SEPARATOR

    POPUP "@MNU_Subsongs" {
        ITEM "","","pulse.plr3.menu.subsong.list"
    }

    ITEM "@MNU_Previous"    ,"pulse.plr3.cmd.playlist.prev"
    ITEM "@MNU_Play"        ,"pulse.plr3.cmd.play"          ,"pulse.plr3.menu.playing:!d"
    ITEM "@MNU_Pause"       ,"pulse.plr3.cmd.pause"         ,"pulse.plr3.menu.playing:d"
    ITEM "@MNU_Stop"        ,"pulse.plr3.cmd.stop"          ,"pulse.plr3.menu.playing:d"
    ITEM "@MNU_Next"        ,"pulse.plr3.cmd.playlist.next"

    SEPARATOR

    ITEM "@MNU_PlayerSetup" ,"","pulse.plr3.menu.active.player"
    ITEM "@MNU_DeviceSetup" ,"","pulse.plr3.menu.active.device"
}

dMenuItems "Menu_Control4" {

    ITEM "@MNU_Load",                         "pulse.plr4.cmd.filebrowser.show(1)"
    SEPARATOR

    POPUP "@MNU_Subsongs" {
        ITEM "","","pulse.plr4.menu.subsong.list"
    }

    ITEM "@MNU_Previous"    ,"pulse.plr4.cmd.playlist.prev"
    ITEM "@MNU_Play"        ,"pulse.plr4.cmd.play"          ,"pulse.plr4.menu.playing:!d"
    ITEM "@MNU_Pause"       ,"pulse.plr4.cmd.pause"         ,"pulse.plr4.menu.playing:d"
    ITEM "@MNU_Stop"        ,"pulse.plr4.cmd.stop"          ,"pulse.plr4.menu.playing:d"
    ITEM "@MNU_Next"        ,"pulse.plr4.cmd.playlist.next"

    SEPARATOR

    ITEM "@MNU_PlayerSetup" ,"","pulse.plr4.menu.active.player"
    ITEM "@MNU_DeviceSetup" ,"","pulse.plr4.menu.active.device"
}

//<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
// systray
//<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

// this need to be defined first
dMenuItems "SystrayMenuMinimized" {

    ITEM "@MNU_About",                        "pulse.cmd.about"
    SEPARATOR
    ITEM "@MNU_Load",                         "pulse.plr1.cmd.filebrowser.show(1)"

    POPUP "@MNU_Setup" {

        POPUP "@MNU_Devices" {
            ITEM "","","pulse.menu.setup.devices"
        }
        POPUP "@MNU_Players" {
            ITEM "","","pulse.menu.setup.players"
        }
        POPUP "@MNU_Tools" {
            ITEM "","","pulse.menu.setup.tools.runtime" 
        }
        POPUP "@MNU_Entering_tools" {
            ITEM "","","pulse.menu.setup.tools.entering"
        }
        POPUP "@MNU_Visual_engine" {
            ITEM "","","pulse.menu.setup.ove"
        }
        POPUP "@MNU_VisualsSetup" {
            ITEM "","","pulse.menu.setup.visuals"
        }

        ITEM "@MNU_Pulse_properties"    ,"pulse.cmd.setup.main"
        ITEM "@MNU_Component_tree"      ,"pulse.cmd.setup"
    }

    POPUP "@MNU_Options" {

        ITEM "@MNU_RepSong" ,"pulse.plr1.cmd.repeat"            ,"pulse.plr1.menu.repeat"
        ITEM "@MNU_RepPL"   ,"pulse.plr1.cmd.playlist.repeat"   ,"pulse.plr1.menu.playlist.repeat"
        ITEM "@MNU_Shuffle" ,"pulse.plr1.cmd.playlist.shuffle"  ,"pulse.plr1.menu.playlist.shuffle"
    }

    POPUP "@MNU_Playback" {

        ITEM "@MNU_Previous"    ,"pulse.plr1.cmd.playlist.prev"
        ITEM "@MNU_Play"        ,"pulse.plr1.cmd.play"          ,"pulse.plr0.menu.playing:!d"
        ITEM "@MNU_Pause"       ,"pulse.plr1.cmd.pause"         ,"pulse.plr0.menu.playing:d"
        ITEM "@MNU_Stop"        ,"pulse.plr1.cmd.stop"          ,"pulse.plr0.menu.playing:d"
        ITEM "@MNU_Next"        ,"pulse.plr1.cmd.playlist.next"
    }

    ITEM "@MNU_PLEditor"    ,"pulse.plr1.cmd.playlist.show(1)"
    ITEM "@MNU_DBEditor"    ,"pulse.cmd.database.show(1)"

    SEPARATOR

    ITEM "@MNU_Restore"     ,"ove.cmd.restore"

    SEPARATOR

    ITEM "@MNU_Exit"        ,"ove.cmd.close"
}

dMenuItems "SystrayMenu" {

    ITEM "@MNU_About",                        "pulse.cmd.about"
    SEPARATOR
    ITEM "@MNU_Load",                         "pulse.plr1.cmd.filebrowser.show(1)"

    POPUP "@MNU_Setup" {

        POPUP "@MNU_Devices" {
            ITEM "","","pulse.menu.setup.devices"
        }
        POPUP "@MNU_Players" {
            ITEM "","","pulse.menu.setup.players"
        }
        POPUP "@MNU_Tools" {
            ITEM "","","pulse.menu.setup.tools.runtime" 
        }
        POPUP "@MNU_Entering_tools" {
            ITEM "","","pulse.menu.setup.tools.entering"
        }
        POPUP "@MNU_Visual_engine" {
            ITEM "","","pulse.menu.setup.ove"
        }
        POPUP "@MNU_VisualsSetup" {
            ITEM "","","pulse.menu.setup.visuals"
        }

        ITEM "@MNU_Pulse_properties"    ,"pulse.cmd.setup.main"
        ITEM "@MNU_Component_tree"      ,"pulse.cmd.setup"
    }

    POPUP "@MNU_Options" {

        ITEM "@MNU_RepSong"     ,"pulse.plr1.cmd.repeat"            ,"pulse.plr1.menu.repeat"
        ITEM "@MNU_RepPL"       ,"pulse.plr1.cmd.playlist.repeat"   ,"pulse.plr1.menu.playlist.repeat"
        ITEM "@MNU_Shuffle"     ,"pulse.plr1.cmd.playlist.shuffle"  ,"pulse.plr1.menu.playlist.shuffle"
    }

    POPUP "@MNU_Playback" {

        ITEM "@MNU_Previous"    ,"pulse.plr1.cmd.playlist.prev"
        ITEM "@MNU_Play"        ,"pulse.plr1.cmd.play"          ,"pulse.plr0.menu.playing:!d"
        ITEM "@MNU_Pause"       ,"pulse.plr1.cmd.pause"         ,"pulse.plr0.menu.playing:d"
        ITEM "@MNU_Stop"        ,"pulse.plr1.cmd.stop"          ,"pulse.plr0.menu.playing:d"
        ITEM "@MNU_Next"        ,"pulse.plr1.cmd.playlist.next"
    }

    POPUP "@MNU_QuickDes" {

        ITEM "","","ove.menu.designs"
    }

    SEPARATOR

    ITEM "@MNU_PLEditor"    ,"pulse.plr1.cmd.playlist.show(1)"
    ITEM "@MNU_DBEditor"    ,"pulse.cmd.database.show(1)"

    SEPARATOR

    ITEM "@MNU_Minimize"    ,"ove.cmd.minimize"

    SEPARATOR

    ITEM "@MNU_Exit"        ,"ove.cmd.close"
}

//<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
// systray
//<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

dAccelerators "StdKeys" {

  Key(KEYF_CTRL| KEY_1)                         :"pulse.plr1.cmd.subsong(0)";
  Key(KEYF_CTRL| KEY_2)                         :"pulse.plr1.cmd.subsong(1)";
  Key(KEYF_CTRL| KEY_3)                         :"pulse.plr1.cmd.subsong(2)";
  Key(KEYF_CTRL| KEY_4)                         :"pulse.plr1.cmd.subsong(3)";
  Key(KEYF_CTRL| KEY_5)                         :"pulse.plr1.cmd.subsong(4)";
  Key(KEYF_CTRL| KEY_6)                         :"pulse.plr1.cmd.subsong(5)";
  Key(KEYF_CTRL| KEY_7)                         :"pulse.plr1.cmd.subsong(6)";
  Key(KEYF_CTRL| KEY_8)                         :"pulse.plr1.cmd.subsong(7)";
  Key(KEYF_CTRL| KEY_9)                         :"pulse.plr1.cmd.subsong(8)";
  Key(KEYF_CTRL| KEY_0)                         :"pulse.plr1.cmd.subsong(9)";
  Key(KEYF_CTRL| KEY_b | KEYF_IGNORECASE)       :"pulse.plr1.cmd.subsong.next";
  Key(KEYF_CTRL| KEY_z | KEYF_IGNORECASE)       :"pulse.plr1.cmd.subsong.prev";
  Key(           KEY_l | KEYF_IGNORECASE)       :"pulse.plr1.cmd.filebrowser.show";
  Key(KEYF_CTRL| KEY_s | KEYF_IGNORECASE)       :"pulse.plr1.cmd.setup";
  Key(KEYF_ALT | KEY_e | KEYF_IGNORECASE)       :"pulse.plr1.cmd.playlist.show(1)";
  Key(KEYF_ALT | KEY_d | KEYF_IGNORECASE)       :"pulse.cmd.database.show(1)";
  Key(KEYF_ALT | KEY_x | KEYF_IGNORECASE)       :"ove.cmd.close";
  Key(KEYF_ALT | KEY_t | KEYF_IGNORECASE)       :"ove.cmd.ontop";
  Key(KEYF_CTRL| KEY_t | KEYF_IGNORECASE)       :"pulse.plr1.cmd.time.remaining";
  Key(           KEY_z | KEYF_IGNORECASE)       :"pulse.plr1.cmd.playlist.prev";
  Key(           KEY_x | KEYF_IGNORECASE)       :"pulse.plr1.cmd.play";
  Key(           KEY_c | KEYF_IGNORECASE)       :"pulse.plr1.cmd.pause";
  Key(           KEY_v | KEYF_IGNORECASE)       :"pulse.plr1.cmd.stop";
  Key(           KEY_b | KEYF_IGNORECASE)       :"pulse.plr1.cmd.playlist.next";
  Key(           KEY_r | KEYF_IGNORECASE)       :"pulse.plr1.cmd.repeat";
  Key(           KEY_s | KEYF_IGNORECASE)       :"pulse.plr1.cmd.playlist.shuffle";
  Key(KEYF_ALT | KEY_p | KEYF_IGNORECASE)       :"pulse.plr1.cmd.playlist.repeat";
  Key(KEYF_CTRL| KEY_K)                         :"pulse.plr1.cmd.visuals.enable";
  Key(KEYF_CTRL| KEY_k)                         :"pulse.plr1.cmd.visuals.active";
  Key(           KEY_ESCAPE | KEYF_IGNORECASE)  :"pulse.plr1.cmd.player(\"cancel\")";
  Key(KEYF_ALT | KEY_ESCAPE | KEYF_IGNORECASE)  :"pulse.plr1.cmd.player(\"cancel\")";
  Key(KEYF_CTRL| KEY_ESCAPE | KEYF_IGNORECASE)  :"pulse.plr1.cmd.player(\"cancel\")";
  Key(KEYF_CTRL| KEY_s      | KEYF_IGNORECASE)  :"pulse.cmd.setup";
  Key(KEY_F5                                 )  :"ove.cmd.filters.setup";
  Key(KEY_F6                                 )  :"ove.cmd.resize.setup";
}
